%define	_hordeapp whups
#
%include	/usr/lib/rpm/macros.php
Summary:	The Web Horde User Problem Solver
Summary(pl.UTF-8):	Narzędzie WWW do rozwiązywania problemów dla Horde
Name:		horde-%{_hordeapp}
Version:	1.0.1
Release:	3
License:	BSD
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/whups/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	3becdec5bcf99292d68780cc741e44ad
Source1:	%{_hordeapp}-apache.conf
Source2:	%{_hordeapp}-httpd.conf
URL:		http://www.horde.org/whups/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.2
Requires:	webapps
Obsoletes:	whups
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	Horde.* Text/Flowed.php

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Whups is Horde's bug tracking/ticketing system. It is designed to be
extremely flexible in letting users define kinds of tickets, different
lifecycles (sets of states) and priorities for each kind of ticket,
and mixing types of tickets into sets of queues. This design allows
for very general and sophisticated multi-purpose uses of Whups. The
code is near 1.0 quality and most features are fully implemented at
this time.

%description -l pl.UTF-8
Whups to system śledzienia błędów/zgłoszeń dla Horde. Jest
zaprojektowany tak, by być skrajnie elastycznym, pozwalając
użytkownikom definiować rodzaje zgłoszeń, różne cykle życia (zbiory
stanów) i priorytety dla każdego rodzaju zgłoszenia, a także łączyć
rodzaje zgłoszeń w zbiory kolejek. Taki sposób zaprojektowania pozwala
na bardzo ogólne i wymyśle sposoby wykorzystania Whups do wielu celów.
Kod osiągnął prawie jakość 1.0 i większość możliwości jest już w pełni
zaimplementowana.

%prep
%setup -q -n %{_hordeapp}-h3-%{version}

rm -f {,*/}.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a admin lib locale query queue search templates themes ticket $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF
IMPORTANT:
If You are installing Whups for the first time, You may need to
create the database tables. Look into directory
%{_docdir}/%{name}-%{version}/scripts/sql
to find out how to do this for your database.

EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- horde-%{_hordeapp} < 1.0-0.20050917.0.3, %{_hordeapp}
for i in conf.php menu.php mime_drivers.php prefs.php reminders.php templates.php; do
	if [ -f /etc/horde.org/%{_hordeapp}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/%{_hordeapp}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

if [ -L /etc/apache/conf.d/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register apache %{_webapp}
	rm -f /etc/apache/conf.d/99_horde-%{_hordeapp}.conf
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	rm -f /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc LICENSE README docs/* scripts
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/*.txt

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/admin
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/query
%{_appdir}/queue
%{_appdir}/search
%{_appdir}/templates
%{_appdir}/themes
%{_appdir}/ticket
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-whups.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> ee2a872
- rpm5 friendly noautoreq
- rel 3

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> c471662
- migrated to apache 2.4

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 731107d
- 1.0.1

* Sat Oct 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 1ec33dd
- no macro in Obsoletes

* Sat Oct 11 2008 Jan Rękorajski <baggins@pld-linux.org> 5c75fb0
- rel 2

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> 8e9ff7c
- rel 1
- added new dirs and config files

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> f7a2075
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 9804dec
- use correct dir name in setup

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 1025e9b
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 149b0f5
- up to 1.0
- removed unreadable tangle of macros and ugly hacks

* Thu Mar 15 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8a7eb36
- updated to 2007-03-15

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ed40740
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0f14bd1
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> c471641
- php virtual extension deps

* Fri Sep 29 2006 Elan Ruusamäe <glen@pld-linux.org> 2107215
- update webapp triggers due apache1 package split

* Tue Feb 14 2006 Elan Ruusamäe <glen@pld-linux.org> 34e86c6
- drop apache specific requires
- cosmetics

* Tue Feb 14 2006 Elan Ruusamäe <glen@pld-linux.org> 30da66d
- unify (%verify attrs for webserver configs)

* Thu Feb 02 2006 Elan Ruusamäe <glen@pld-linux.org> 951d536
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

* Thu Jan 19 2006 Elan Ruusamäe <glen@pld-linux.org> a0f3654
- mod_access does not exist in apache 2.2

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 759c44f
- updated to 2006-01-08

